System.Xml 2.0.0.0 4.0.0.0 System.Object

To improve the performance of XML serialization, you can generate assemblies before serialization using the XML Serializer Generator Tool (Sgen.exe). When such an assembly is loaded, the uses the properties of the interface to query the contained serializer or serializers.

Defines the reader, writer, and methods for pre-generated, typed serializers.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Gets a value that determines whether a type can be serialized.

  true if the type can be serialized; otherwise, false.

  The to be serialized.
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlSerializer `` To be added.

  Returns a serializer for the specified type.

  An instance of a type derived from the class.

  The to be serialized.
- Property
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlSerializationReader To be added. To be added.

  Gets the XML reader object that is used by the serializer.

- Property
  2.0.0.0
  4.0.0.0
  System.Collections.Hashtable To be added. To be added.

  Gets the collection of methods that is used to read a data stream.

- Property
  2.0.0.0
  4.0.0.0
  System.Collections.Hashtable To be added. To be added.

  Gets the collection of typed serializers that is found in the assembly.

- Property
  2.0.0.0
  4.0.0.0
  System.Collections.Hashtable To be added. To be added.

  Get the collection of methods that is used to write to a data stream.

- Property
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlSerializationWriter To be added. To be added.

  Gets the XML writer object for the serializer.